curl "https://api2.ecomailapp.cz/subscribers/foo@bar.cz/email-log?per_page=10&events[]=open&events[]=click" \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json"
$email = 'foo@bar.cz';
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api2.ecomailapp.cz/subscribers/{$email}/email-log?per_page=10&events[]=open&events[]=click");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
$response = curl_exec($ch);
curl_close($ch);
{
"current_page": 1,
"data": [
{
"campaign_id": 100,
"autoresponder_id": null,
"action_id": null,
"event": "open",
"msg": null,
"url": null,
"email": "foo@bar.cz",
"occured_at": "2025-03-15T14:30:00.000000Z",
"mail_name": null
},
{
"campaign_id": 100,
"autoresponder_id": null,
"action_id": null,
"event": "click",
"msg": null,
"url": "https://example.com/offer",
"email": "foo@bar.cz",
"occured_at": "2025-03-15T14:25:00.000000Z",
"mail_name": null
}
],
"per_page": 10,
"total": 2
}
Subscribers
Get email log
Retrieve a paginated list of campaign log entries for a given subscriber email address, sorted by occurrence date descending.
GET
/
subscribers
/
{email}
/
email-log
curl "https://api2.ecomailapp.cz/subscribers/foo@bar.cz/email-log?per_page=10&events[]=open&events[]=click" \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json"
$email = 'foo@bar.cz';
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api2.ecomailapp.cz/subscribers/{$email}/email-log?per_page=10&events[]=open&events[]=click");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
$response = curl_exec($ch);
curl_close($ch);
{
"current_page": 1,
"data": [
{
"campaign_id": 100,
"autoresponder_id": null,
"action_id": null,
"event": "open",
"msg": null,
"url": null,
"email": "foo@bar.cz",
"occured_at": "2025-03-15T14:30:00.000000Z",
"mail_name": null
},
{
"campaign_id": 100,
"autoresponder_id": null,
"action_id": null,
"event": "click",
"msg": null,
"url": "https://example.com/offer",
"email": "foo@bar.cz",
"occured_at": "2025-03-15T14:25:00.000000Z",
"mail_name": null
}
],
"per_page": 10,
"total": 2
}
string
required
Subscriber’s email address.
integer
Number of results per page. Default
20, maximum 100.integer
Page number.
string
Filter by event types. Can be specified multiple times. Possible values:
send, open, click, hard_bounce, soft_bounce, out_of_band, unsub, spam, spam_complaint.curl "https://api2.ecomailapp.cz/subscribers/foo@bar.cz/email-log?per_page=10&events[]=open&events[]=click" \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json"
$email = 'foo@bar.cz';
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api2.ecomailapp.cz/subscribers/{$email}/email-log?per_page=10&events[]=open&events[]=click");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
$response = curl_exec($ch);
curl_close($ch);
{
"current_page": 1,
"data": [
{
"campaign_id": 100,
"autoresponder_id": null,
"action_id": null,
"event": "open",
"msg": null,
"url": null,
"email": "foo@bar.cz",
"occured_at": "2025-03-15T14:30:00.000000Z",
"mail_name": null
},
{
"campaign_id": 100,
"autoresponder_id": null,
"action_id": null,
"event": "click",
"msg": null,
"url": "https://example.com/offer",
"email": "foo@bar.cz",
"occured_at": "2025-03-15T14:25:00.000000Z",
"mail_name": null
}
],
"per_page": 10,
"total": 2
}
⌘I